<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use App\Models\Virtual\CompanyAccount;
use App\Domains\Virtual\Services\CompanyAccountService;

class CompanyAccountSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        if (CompanyAccount::where('username', 'fxft')->count()) {
            return ;
        }

        app(CompanyAccountService::class)->store(['company_id' => 1,'username' => 'fxft', 'password' => md5('fxft2018')]);
    }
}
